Index: lib/style/common/searchWorkflow.js
===================================================================
--- lib/style/common/searchWorkflow.js	(revision 5353)
+++ lib/style/common/searchWorkflow.js	(revision 5354)
@@ -44,15 +44,16 @@
 	queryString += "<returnfield>/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'workflowId\']/configure</returnfield>";
 	queryString += "<returnfield>/entity/property[@name=\'karLSID\']/@value</returnfield>";				
 	queryString += "<returnfield>/entity/property[@name=\'entityId\']/@value</returnfield>";*/
-	queryString += "<returndoctype>kar</returndoctype>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/@name</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'author\']/configure</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'description\']/configure</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'createDate\']/configure</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'workflowId\']/configure</returnfield>";
-  queryString += "<returnfield>/kar/mainAttributes/lsid</returnfield>";       
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'entityId\']/@value</returnfield>";
-	queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/@class</returnfield>";
+	/*queryString += "<returndoctype>kar</returndoctype>";*/
+	queryString += "<returndoctype>http://www.kepler-project.org/kar-2.0.0</returndoctype>";
+  queryString += "<returnfield>karEntry/karEntryXML/entity/@name</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'author\']/configure</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'description\']/configure</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'createDate\']/configure</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'workflowId\']/configure</returnfield>";
+  queryString += "<returnfield>mainAttributes/lsid</returnfield>";       
+  queryString += "<returnfield>karEntry/karEntryXML/entity/property[@name=\'entityId\']/@value</returnfield>";
+	queryString += "<returnfield>karEntry/karEntryXML/property[@name=\'WorkflowRun\']/@class</returnfield>";
 	queryString += "<querygroup operator='INTERSECT'>";	
 	
 	var elementList = document.getElementById(formId).elements;
@@ -95,51 +96,51 @@
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
 		/*pathExpr += "<pathexpr>entity/@name</pathexpr>";*/
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/@name</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/@name</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'keyword') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/@value</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'creator') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'description') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'date-created') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} /*else if (sfElement.name == 'date-executed') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>";		
 	} */ else if (sfElement.name == 'workflow-lsid') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>entityId</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@name</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/@name</pathexpr>";
 		pathExpr += "</queryterm>"; 
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/@value</pathexpr>";
 		pathExpr += "</queryterm>";		
 	}/* else if (sfElement.name == 'workflow-run-id') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'status') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	}*/
 	
Index: lib/style/common/searchWorkflowResultset.xsl
===================================================================
--- lib/style/common/searchWorkflowResultset.xsl	(revision 5353)
+++ lib/style/common/searchWorkflowResultset.xsl	(revision 5354)
@@ -56,9 +56,9 @@
 				<xsl:sort select='./updatedate' order='descending' />
 				<!--<xsl:sort select='./param[@name="/entity/@name"]' />
 				<xsl:if test="./docname = 'entity'">-->
-				<xsl:sort select='./param[@name="/kar/karEntry/karEntryXML/entity/@name"]' />
+				<xsl:sort select='./param[@name="karEntry/karEntryXML/entity/@name"]' />
 				<xsl:variable name="workflowRunClassName">
-                    <xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/@class"]'/>
+                    <xsl:value-of select='./param[@name="karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/@class"]'/>
                 </xsl:variable>
                 <xsl:if test="$workflowRunClassName = $emptyString">
 					<div>
@@ -69,7 +69,7 @@
 							</xsl:choose>
 						</xsl:attribute>
 						<xsl:variable name="karLSID">
-							<xsl:value-of select='./param[@name="/kar/mainAttributes/lsid"]' />
+							<xsl:value-of select='./param[@name="mainAttributes/lsid"]' />
 						</xsl:variable>
 						<xsl:variable name="karDocid">
 							<xsl:call-template name="extractDocidFromLsid">
@@ -77,7 +77,7 @@
 							</xsl:call-template>
 						</xsl:variable>
 						<xsl:variable name="workflowLSID">
-							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/property[@name=&apos;entityId&apos;]/@value"]'/>
+							<xsl:value-of select='./param[@name="karEntry/karEntryXML/entity/property[@name=&apos;entityId&apos;]/@value"]'/>
 						</xsl:variable>
 						<xsl:variable name="karXmlDocid">
                             <xsl:value-of select='./docid'/>
@@ -90,11 +90,11 @@
 
 						<div class="col col1">	
 							<!--<xsl:value-of select='./param[@name="/entity/@name"]' />-->
-							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/@name"]' />		
+							<xsl:value-of select='./param[@name="karEntry/karEntryXML/entity/@name"]' />		
 						</div>
 						<div class="col col2">	
 							<!--<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />-->
-							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />		
+							<xsl:value-of select='./param[@name="karEntry/karEntryXML/entity/property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />		
 						</div>
 						<div class="col col3">	
 							<xsl:value-of select='./updatedate' />			
@@ -110,7 +110,7 @@
 							<a>
 								<xsl:attribute name="class">underlined</xsl:attribute>
 								<!--<xsl:attribute name="href">./scheduleWorkflowRun.jsp?workflowid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;entityId&apos;]/@value"]' />&amp;karid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;karLSID&apos;]/@value"]' />&amp;workflowname=<xsl:value-of select='./param[@name="/entity/@name"]' /></xsl:attribute>-->
-								<xsl:attribute name="href">./scheduleWorkflowRun.jsp?workflowid=<xsl:value-of select="$karXmlLSID" />&amp;karid=<xsl:value-of select="normalize-space($karLSID)" />&amp;workflowname=<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/entity/@name"]' /></xsl:attribute>	 
+								<xsl:attribute name="href">./scheduleWorkflowRun.jsp?workflowid=<xsl:value-of select="$karXmlLSID" />&amp;karid=<xsl:value-of select="normalize-space($karLSID)" />&amp;workflowname=<xsl:value-of select='./param[@name="karEntry/karEntryXML/entity/@name"]' /></xsl:attribute>	 
 									 Schedule
 							</a> 
 							<span> | </span>
Index: lib/style/common/searchWorkflowRun.js
===================================================================
--- lib/style/common/searchWorkflowRun.js	(revision 5353)
+++ lib/style/common/searchWorkflowRun.js	(revision 5354)
@@ -25,16 +25,17 @@
 	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'karLSID\']/@value</returnfield>";
 	queryString += "<returnfield>/property[@class=\'org.kepler.util.WorkflowRun\']/property[@name=\'ReportInstance_pdf\']/@value</returnfield>";*/
 	
-	queryString += "<returndoctype>kar</returndoctype>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'user\']/@value</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'description\']/@value</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'startTime\']/@value</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'workflowLSID\']/@value</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryAttributes/tpcStatus</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'workflowName\']/@value</returnfield>";
-  queryString += "<returnfield>/kar/mainAttributes/lsid</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/@class</returnfield>";
-  queryString += "<returnfield>/kar/karEntry/karEntryAttributes/Name</returnfield>";
+	/*queryString += "<returndoctype>kar</returndoctype>";*/
+	queryString += "<returndoctype>http://www.kepler-project.org/kar-2.0.0</returndoctype>";
+  queryString += "<returnfield>karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'user\']/@value</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'description\']/@value</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'startTime\']/@value</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'workflowLSID\']/@value</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryAttributes/tpcStatus</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/property[@name=\'WorkflowRun\']/property[@name=\'workflowName\']/@value</returnfield>";
+  queryString += "<returnfield>mainAttributes/lsid</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryXML/property[@name=\'WorkflowRun\']/@class</returnfield>";
+  queryString += "<returnfield>karEntry/karEntryAttributes/Name</returnfield>";
 	
 	queryString += "<querygroup operator='INTERSECT'>";	
 	
@@ -78,51 +79,51 @@
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
     /*pathExpr += "<pathexpr>entity/@name</pathexpr>";*/
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/@name</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/entity/@name</pathexpr>";
     pathExpr += "</queryterm>";     
   } else if (sfElement.name == 'keyword') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/@value</pathexpr>";
     pathExpr += "</queryterm>";     
   } else if (sfElement.name == 'creator') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
     pathExpr += "</queryterm>";     
   } else if (sfElement.name == 'description') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
     pathExpr += "</queryterm>";     
   } else if (sfElement.name == 'date-created') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
     pathExpr += "</queryterm>";     
   } else if (sfElement.name == 'date-executed') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/property/property/@value</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/property/property/@value</pathexpr>";
     pathExpr += "</queryterm>";   
   } else if (sfElement.name == 'workflow-lsid') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>entityId</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@name</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/@name</pathexpr>";
     pathExpr += "</queryterm>"; 
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/entity/property/@value</pathexpr>";
     pathExpr += "</queryterm>";   
   }else if (sfElement.name == 'workflow-run-lsid') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/property/property/@value</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/property/property/@value</pathexpr>";
     pathExpr += "</queryterm>";     
   }else if (sfElement.name == 'status') {
     pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
     pathExpr += "<value>" + sfElement.value + "</value>";
-    pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/property/property/@value</pathexpr>";
+    pathExpr += "<pathexpr>karEntry/karEntryXML/property/property/@value</pathexpr>";
     pathExpr += "</queryterm>";     
   }
 	
Index: lib/style/common/searchWorkflowRunResultset.xsl
===================================================================
--- lib/style/common/searchWorkflowRunResultset.xsl	(revision 5353)
+++ lib/style/common/searchWorkflowRunResultset.xsl	(revision 5354)
@@ -52,21 +52,21 @@
 			if there are not then don't show the query results -->
 		<xsl:if test="count(resultset/document) &gt; 0">
 			<xsl:for-each select="resultset/document">
-				<xsl:sort select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' order='descending' />
-                <xsl:sort select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />
+				<xsl:sort select='./param[@name="karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' order='descending' />
+                <xsl:sort select='./param[@name="karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />
 				<!-- test if the document has the "workflowRun" property. If has, kept this document-->
 				<xsl:variable name="workflowRunClassName">
-					<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/@class"]'/>
+					<xsl:value-of select='./param[@name="karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/@class"]'/>
 				</xsl:variable>
 				
 				<xsl:if test="$workflowRunClassName != $emptyString">				
 					<xsl:variable name="karDocid">
                             <xsl:call-template name="extractDocidFromLsid">
-                                <xsl:with-param name="lsidString" select='./param[@name="/kar/mainAttributes/lsid"]' />
+                                <xsl:with-param name="lsidString" select='./param[@name="mainAttributes/lsid"]' />
                             </xsl:call-template>
 					</xsl:variable>
 					<xsl:variable name="pdfFile">
-						<xsl:for-each select='./param[@name="/kar/karEntry/karEntryAttributes/Name"]'>
+						<xsl:for-each select='./param[@name="karEntry/karEntryAttributes/Name"]'>
 							<xsl:variable name="fileName" select='.' />				
 							<xsl:if test="contains($fileName, $pdfExtension)">
                              <xsl:value-of select="normalize-space($fileName)"/>
@@ -83,20 +83,20 @@
 						</xsl:attribute>
 
 						<div class="col col1">	
-							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />		
+							<xsl:value-of select='./param[@name="karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />		
 						</div>
 						<div class="col col2">	
 							<xsl:choose>
-							<xsl:when  test="not(./param[@name=&quot;/kar/karEntry/karEntryAttributes/tpcStatus&quot;])" >
+							<xsl:when  test="not(./param[@name=&quot;karEntry/karEntryAttributes/tpcStatus&quot;])" >
 							unknown
 							</xsl:when>
 							<xsl:otherwise>
-								<xsl:value-of select='./param[@name="/kar/karEntry/karEntryAttributes/tpcStatus"]' />	
+								<xsl:value-of select='./param[@name="karEntry/karEntryAttributes/tpcStatus"]' />	
 							</xsl:otherwise>
 							</xsl:choose>
 						</div>
 						<div class="col col3">	
-							<xsl:value-of select='./param[@name="/kar/karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' />		
+							<xsl:value-of select='./param[@name="karEntry/karEntryXML/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' />		
 						</div>
 						<div class="col col4">	
 							<a>