Index: test/test.properties
===================================================================
--- test/test.properties	(revision 5436)
+++ test/test.properties	(revision 5437)
@@ -1,4 +1,4 @@
 # Set this to the location of the metacat application context
 # directory.  The tests will use this to find metacat.properties
-metacat.contextDir=/var/lib/tomcat/webapps/knb
+metacat.contextDir=/Users/berkley/tools/tomcat/webapps/knb
 #metacat.contextDir=/usr/share/tomcat5.5/webapps/knb
Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 5436)
+++ lib/metacat.properties	(revision 5437)
@@ -6,15 +6,15 @@
 
 ######## Configuration utility section  ################
 
-configutil.propertiesConfigured=true
-configutil.authConfigured=true
-configutil.skinsConfigured=true
-configutil.databaseConfigured=true
-configutil.geoserverConfigured=bypassed
+configutil.propertiesConfigured=false
+configutil.authConfigured=false
+configutil.skinsConfigured=false
+configutil.databaseConfigured=false
+configutil.geoserverConfigured=false
 
 ############### Server Values #################
 
-server.name=knb-mn.ecoinformatics.org
+server.name=localhost
 server.httpPort=80
 server.httpSSLPort=443
 
@@ -21,15 +21,15 @@
 ############### Application Values ############
 
 ## one of the few places where we use ANT tokens
-application.metacatVersion=1.10.0
+application.metacatVersion=@metacatVersion@
 application.metacatReleaseInfo=@metacatReleaseInfo@
 
-application.deployDir=/var/lib/tomcat/webapps
+application.deployDir=
 ## This is autodiscovered and populated by the config utility
-application.context=knb
+application.context=
 application.default-style=default
 application.knbSiteURL=http://knb.ecoinformatics.org
-application.backupDir=/var/metacat
+application.backupDir=
 application.datafilepath=/var/metacat/data
 application.inlinedatafilepath=/var/metacat/inline-data
 application.documentfilepath=/var/metacat/documents
@@ -48,11 +48,11 @@
 ############### Database Values ###############
 
 database.connectionURI=jdbc:postgresql://localhost/metacat
-database.user=metacat
-database.password=metacat
-database.type=postgres
-database.driver=org.postgresql.Driver
-database.adapter=edu.ucsb.nceas.dbadapter.PostgresqlAdapter
+database.user=
+database.password=
+database.type=
+database.driver=
+database.adapter=
 database.scriptsuffix.postgres=postgres.sql
 database.scriptsuffix.oracle=oracle.sql
 database.scriptsuffix.sqlserver=sqlserver.sql
@@ -143,7 +143,7 @@
 ## auth.class=edu.ucsb.nceas.metacat.AuthStub
 auth.timeoutMinutes=180
 # auth.administrators=uid=jones,o=NCEAS,dc=ecoinformatics,dc=org
-auth.administrators=uid=dataone_cn_metacat,o=DATAONE,dc=ecoinformatics,dc=org
+auth.administrators=
 auth.url=ldap://ldap.ecoinformatics.org:389/
 auth.surl=ldap://ldap.ecoinformatics.org:389/
 auth.base=dc=ecoinformatics,dc=org
@@ -161,7 +161,7 @@
 ldap.referral=follow
 ldap.onlySecureConnection=false
 ldap.onlySecureReferalsConnection=false
-# LDAP templates
+# LDAP templates 
 ldap.templates.stage=initregister
 ldap.templates.header=genericHeader.tmpl
 ldap.templates.footer=genericFooter.tmpl
@@ -231,62 +231,62 @@
 xml.entitydoctype=-//ecoinformatics.org//eml-entity-2.0.0beta6//EN, -//ecoinformatics.org//eml-entity-2.0.0beta4//EN
 xml.packagedoctypeset=BIN,-//ecoinformatics.org//eml-access-2.0.0beta6//EN,-//ecoinformatics.org//eml-access-2.0.0beta4//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta6//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta4//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta6//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta4//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta6//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta4//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN,-//ecoinformatics.org//eml-entity-2.0.0beta6//EN,-//ecoinformatics.org//eml-entity-2.0.0beta4//EN,-//ecoinformatics.org//eml-literature-2.0.0beta6//EN,-//ecoinformatics.org//eml-literature-2.0.0beta4//EN,-//ecoinformatics.org//eml-physical-2.0.0beta6//EN,-//ecoinformatics.org//eml-physical-2.0.0beta4//EN,-//ecoinformatics.org//eml-project-2.0.0beta6//EN,-//ecoinformatics.org//eml-project-2.0.0beta4//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta6//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta4//EN,-//ecoinformatics.org//eml-software-2.0.0beta6//EN,-//ecoinformatics.org//eml-software-2.0.0beta4//EN
 xml.indexNamespaces=eml://ecoinformatics.org/eml-2.0.0,eml://ecoinformatics.org/eml-2.0.1,eml://ecoinformatics.org/eml-2.1.0
-xml.indexPaths=\
-@packageId,                            \
-/reviewHistory/review/packageId,       \
-abstract,                              \
-abstract/para,                         \
-access/allow/principal,                \
-additionalMetadata/moderatorComment    \
-associatedParty/individualName/surName,                           \
-associatedParty/organizationName,                                 \
-coverage/temporalCoverage/rangeOfDates/beginDate/alternativeTimeScale/timeScaleName,   \
-coverage/temporalCoverage/rangeOfDates/endDate/alternativeTimeScale/timeScaleName,     \
-coverage/temporalCoverage/singleDateTime/alternativeTimeScale/timeScaleName,           \
-creator/individualName/surName,        \
-creator/individualName/givenName,      \
-creator/organizationName,              \
-dataset/access/allow/principal,        \
-dataset/dataTable/physical/distribution/online/url,               \
-dataset/dataTable/physical/distribution/online/url/@function,     \
-dataset/spatialRaster/physical/distribution/online/url,           \
-dataset/spatialRaster/physical/distribution/online/url/@function, \
-dataset/title,                         \
-eastBoundingCoordinate,                \
-eastbc,                                \
-EcogridRegEntry/description,           \
-EcogridRegEntry/endPoint,              \
-EcogridRegEntry/serviceName,           \
-entityName,                            \
-geographicCoverage/boundingCoordinates/eastBoundingCoordinate,    \
-geographicCoverage/boundingCoordinates/northBoundingCoordinate,   \
-geographicCoverage/boundingCoordinates/southBoundingCoordinate,   \
-geographicCoverage/boundingCoordinates/westBoundingCoordinate,    \
-geographicDescription,                 \
-givenName,                             \
-idinfo/citation/citeinfo/title,        \
-idinfo/citation/citeinfo/origin,       \
-idinfo/keywords/theme/themekey,        \
-individualName/surName,                \
-keyword,                               \
-literalLayout,                         \
-northbc,                               \
-northBoundingCoordinate,               \
-organizationName,                      \
-originator/individualName/surName,     \
-originator/individualName/givenName,   \
-originator/organizationName,           \
-para,                                  \
-placekey,                              \
-southBoundingCoordinate,               \
-southbc,                               \
-surName,                               \
-taxonomicClassification/taxonRankName,          \
-taxonomicClassification/taxonRankValue,         \
-taxonRankValue,                        \
-title,                                 \
-westBoundingCoordinate,                \
-westbc
+xml.indexPaths=                            \
+	@packageId,                            \
+	/reviewHistory/review/packageId,       \
+	abstract,                              \
+	abstract/para,                         \
+	access/allow/principal,                \
+	additionalMetadata/moderatorComment    \
+	associatedParty/individualName/surName,                           \
+	associatedParty/organizationName,                                 \
+	coverage/temporalCoverage/rangeOfDates/beginDate/alternativeTimeScale/timeScaleName,   \
+	coverage/temporalCoverage/rangeOfDates/endDate/alternativeTimeScale/timeScaleName,     \
+	coverage/temporalCoverage/singleDateTime/alternativeTimeScale/timeScaleName,           \
+	creator/individualName/surName,        \
+	creator/individualName/givenName,      \
+	creator/organizationName,              \
+	dataset/access/allow/principal,        \
+	dataset/dataTable/physical/distribution/online/url,               \
+	dataset/dataTable/physical/distribution/online/url/@function,     \
+	dataset/spatialRaster/physical/distribution/online/url,           \
+	dataset/spatialRaster/physical/distribution/online/url/@function, \
+	dataset/title,                         \
+	eastBoundingCoordinate,                \
+	eastbc,                                \
+	EcogridRegEntry/description,           \
+	EcogridRegEntry/endPoint,              \
+	EcogridRegEntry/serviceName,           \
+	entityName,                            \
+	geographicCoverage/boundingCoordinates/eastBoundingCoordinate,    \
+	geographicCoverage/boundingCoordinates/northBoundingCoordinate,   \
+	geographicCoverage/boundingCoordinates/southBoundingCoordinate,   \
+	geographicCoverage/boundingCoordinates/westBoundingCoordinate,    \
+	geographicDescription,                 \
+	givenName,                             \
+	idinfo/citation/citeinfo/title,        \
+	idinfo/citation/citeinfo/origin,       \
+	idinfo/keywords/theme/themekey,        \
+	individualName/surName,                \
+	keyword,                               \
+	literalLayout,                         \
+	northbc,                               \
+	northBoundingCoordinate,               \
+	organizationName,                      \
+	originator/individualName/surName,     \
+	originator/individualName/givenName,   \
+	originator/organizationName,           \
+	para,                                  \
+	placekey,                              \
+	southBoundingCoordinate,               \
+	southbc,                               \
+	surName,                               \
+	taxonomicClassification/taxonRankName,          \
+	taxonomicClassification/taxonRankValue,         \
+	taxonRankValue,                        \
+	title,                                 \
+	westBoundingCoordinate,                \
+	westbc
 
 ######## Outgoing email  #########################################
 
@@ -297,7 +297,7 @@
 
 ######## Replication properties  #########################################
 
-replication.logdir=/var/metacat/logs
+replication.logdir=
 ## deltaT=60
 ## debuglevel=55
 replication.datafileflag=datafile
@@ -327,11 +327,11 @@
 
 harvester.connectToMetacat=true
 harvester.delay=0
-harvester.administrator=berkley@nceas.ucsb.edu
+harvester.administrator=name@institution.edu
 harvester.logPeriod=90
 harvester.maxHarvests=0
-harvester.period=1
-harvester.smtpServer=mercury.nceas.ucsb.edu
+harvester.period=24
+harvester.smtpServer=localhost
 harvester.GetDocError=Error getting EML document from site,Error
 harvester.GetDocSuccess=Success getting EML document from site,Debug
 harvester.GetHarvestListError=Error getting harvest list from site,Error
@@ -375,7 +375,7 @@
 ######## Spatial section              #########################################
 
 spatial.runSpatialOption=true
-spatial.regenerateCacheOnRestart=false
+spatial.regenerateCacheOnRestart=true
 # Comma-seperated list of schemas containing spatial bounding boxes
 # name corresponds to the docname stored in xml_documents table
 spatial.spatialDocnameList=eml,fgdc,metadata
@@ -431,7 +431,7 @@
 test.metacatUrl=http://indus.msi.ucsb.edu/knb/metacat
 test.contextUrl=http://indus.msi.ucsb.edu/knb
 test.workflowSchedulerUrl=http://indus.msi.ucsb.edu/workflowscheduler/scheduler
-test.metacatDeployDir=/var/lib/tomcat/webapps/knb
+test.metacatDeployDir=/usr/local/tomcat/webapps/knb
 test.mcUser=uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org
 test.mcPassword=kepler
 test.mcAnotherUser=uid=test,o=NCEAS,dc=ecoinformatics,dc=org
@@ -444,10 +444,10 @@
 
 ######## Developers Section #########################################
 
-# Set dev.runConfiguration to false to keep the system from walking you
-# through the configuration utility every time you reinstall metacat.
-# Instead,  the system will use backed up configuration values.  If you
-# haven't ever configured the app (no backup files) the system will take
+# Set dev.runConfiguration to false to keep the system from walking you 
+# through the configuration utility every time you reinstall metacat.  
+# Instead,  the system will use backed up configuration values.  If you 
+# haven't ever configured the app (no backup files) the system will take 
 # you through the configuration.
 dev.runConfiguration=true
 
Index: build.properties
===================================================================
--- build.properties	(revision 5436)
+++ build.properties	(revision 5437)
@@ -9,7 +9,7 @@
 
 # Tomcat dev deployment directory
 # build.tomcat.dir=/usr/local/tomcat
-build.tomcat.dir=/var/lib/tomcat
+build.tomcat.dir=/usr/local/devtools/jakarta-tomcat
 
 # The Maven2 installation directory, for building the dataone-service-api
 # Maven is available here: http://maven.apache.org/
@@ -18,7 +18,7 @@
 # install ant target uses this to determine where to drop 
 # the war file in an installation.  Test classes will use
 # this value to find metacat.properties
-app.deploy.dir=/var/lib/tomcat/webapps
+app.deploy.dir=/usr/local/devtools/jakarta-tomcat/webapps
 
 # CVS access to retrieve latest EML, seek and utilities 
 cvsroot=:ext:${env.USER}@cvs.ecoinformatics.org:/cvs