Index: lib/style/skins/semtools/include_header.jsp
===================================================================
--- lib/style/skins/semtools/include_header.jsp	(revision 5568)
+++ lib/style/skins/semtools/include_header.jsp	(revision 5569)
@@ -37,18 +37,24 @@
   </head>
 
 <body>
-<table width="100%">
+<table width="100%" height="100" class="banner" cellpadding="0" cellspacing="0" border="0">
 	<tr>
-		<td colspan="3">Semtools with BioPortal</td>
+		<td valign="bottom">
+			<table width="1022" height="100" background="<%=STYLE_SKINS_URL%>/semtools/images/semtools_web_banner.jpg">
+				<tr height="80%">
+					<td>&nbsp;</td>
+				</tr>
+				<tr>
+				    <td align="center" valign="middle" class="sectionheader">
+				    	<a target="_top" href="<%=STYLE_SKINS_URL%>/semtools/index.jsp">Home</a></td>
+					<td align="center" valign="middle" class="sectionheader">
+				    	<a target="_top" href="<%=STYLE_SKINS_URL%>/semtools/ontologies.jsp">Ontologies</a></td>
+					<td align="center" valign="middle" class="sectionheader">
+						<a target="_new" href="http://bioportal.bioontology.org/">BioPortal</a></td>
+				</tr>
+			</table>
+		</td>
 	</tr>
-	<tr>
-	    <td align="left" valign="middle" class="sectionheader">
-	    	<a target="_top" href="<%=STYLE_SKINS_URL%>/semtools/index.jsp">Home</a></td>
-		<td align="left" valign="middle" class="sectionheader">
-	    	<a target="_top" href="<%=STYLE_SKINS_URL%>/semtools/ontologies.jsp">Ontologies</a></td>
-		<td align="left" valign="middle" class="sectionheader">
-			<a target="_new" href="http://bioportal.bioontology.org/">BioPortal</a></td>
-	</tr>
 </table>
 
 </body>
Index: lib/style/skins/semtools/semtools.css
===================================================================
--- lib/style/skins/semtools/semtools.css	(revision 5568)
+++ lib/style/skins/semtools/semtools.css	(revision 5569)
@@ -34,7 +34,7 @@
     min-width:			800px;
     /* width:expression(document.body.clientWidth < 800? "800px": "auto");  */ /* hack for ie min width */
 
-    margin:                     0px 10px 10px 10px;
+    margin:                     0px 0px 0px 0px;
     background-color:           #ffffff;
     padding:                    0px;
     border:                     0px;
@@ -54,9 +54,11 @@
     }
 
 
+#content_wrapper {
+	margin:                     0px 10px 10px 10px;
+}
 
 
-
 #header {
   width:                        100%;
   min-width:			800px; 
@@ -1071,7 +1073,7 @@
 iframe classes
 ****/
 .iframeheaderclass {
-    height:   80px; 
+    height:   100px; 
     width:    100%;
     border:   0px;
     margih:   0px;
@@ -1136,7 +1138,7 @@
  *  the iframe within it!
  */  
 .templateheaderrowclass {
-    height:   80px; 
+    height:   100px; 
     /*
       no width allowed - uses same width as table class
     */
@@ -1170,4 +1172,9 @@
     border:   0px;
     padding:  0px;
     margin:   0px;
+}
+
+.banner {
+	background-image: url("./images/banner_background.jpg");
+	background-repeat: repeat-x;
 }
\ No newline at end of file
Index: lib/style/skins/semtools/images/banner_background.jpg
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = image/jpeg

Property changes on: lib/style/skins/semtools/images/banner_background.jpg
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+image/jpeg
\ No newline at end of property
Index: lib/style/skins/semtools/images/semtools_web_banner.jpg
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = image/jpeg

Property changes on: lib/style/skins/semtools/images/semtools_web_banner.jpg
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+image/jpeg
\ No newline at end of property
Index: lib/style/skins/semtools/semtools.xsl
===================================================================
--- lib/style/skins/semtools/semtools.xsl	(revision 5568)
+++ lib/style/skins/semtools/semtools.xsl	(revision 5569)
@@ -67,11 +67,11 @@
                         <xsl:if test="*[local-name()='metadata']">     	
                             <xsl:call-template name="metadata"/>
                         </xsl:if>
-                        
-						<xsl:call-template name="bodyfooter"/>
-						
+                       						
 					</div>
 					
+					<xsl:call-template name="bodyfooter"/>
+					
 				</div>
 				
 			</body>