Index: lib/style/skins/default/include_advancedsearch.jsp
===================================================================
--- lib/style/skins/default/include_advancedsearch.jsp	(revision 5600)
+++ lib/style/skins/default/include_advancedsearch.jsp	(revision 5601)
@@ -97,29 +97,23 @@
 </head>
 
 <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
-  <table width="750px" align="center" cellspacing="0" cellpadding="0">
+  <table width="750px" align="center" cellspacing="0" cellpadding="0" class="group group_border">
     <tr> 
-      <td width="10" align="right" valign="top">
-        <img src="<%=STYLE_SKINS_URL%>/default/images/panelhead_bg_lcorner.gif" 
-          width="10" height="21">
-      </td>
-      <td class="sectionheader">
+     
+      <th class="sectionheader">
         advanced search 
-      </td>
-      <td width="10" align="left" valign="top"> 
-        <img src="<%=STYLE_SKINS_URL%>/default/images/panelhead_bg_rcorner.gif" 
-          width="10" height="21">
-      </td>
+      </th>
+      
     </tr>
     <tr> 
-      <td colspan="3">
+      <td>
         <table width="100%" border="0" cellpadding="0" cellspacing="0" 
           class="subpanel">
           <tr> 
-            <td colspan="2"></td>
+            <td></td>
           </tr>
           <tr valign="baseline"> 
-            <td colspan="2">
+            <td>
     <form name="advancedSearchForm"
           method="POST"
           action="<%=STYLE_SKINS_URL%>/default/advancedsearchforward.jsp"
@@ -127,12 +121,9 @@
           target="_top">
       <table width="100%" border="0" cellpadding="0" cellspacing="0" >
         <tr>
-          <td colspan="2"><hr/></td>
-        </tr>
-        <tr>
-          <td colspan="2">
+          <th colspan="2">
             <h3>Subject</h3>
-          </td>
+          </th>
         </tr>
         <tr>
           <td>&nbsp;</td>
@@ -163,13 +154,11 @@
           <td>&nbsp;</td>
           <td>&nbsp;</td>
         </tr>
+        
         <tr>
-          <td colspan="2"><hr/></td>
-        </tr>
-        <tr>
-          <td colspan="2">
+          <th colspan="2">
             <h3>Author</h3>
-          </td>
+          </th>
         </tr>
         <tr>
           <td>&nbsp;</td>
@@ -208,12 +197,9 @@
           <td>&nbsp;</td>
         </tr>
         <tr>
-          <td colspan="2"><hr/></td>
-        </tr>
-        <tr>
-          <td colspan="2">
+          <th colspan="2">
             <h3>Spatial Criteria</h3>
-          </td>
+          </th>
         </tr>
         <tr>
           <td>&nbsp;</td>
@@ -269,9 +255,6 @@
           <td>&nbsp;</td>
           <td>&nbsp;</td>
         </tr>
-        <tr>
-          <td colspan="2"><hr/></td>
-        </tr>
         <!-- Temporal Criteria section is disabled because Metacat is
              not able to search date ranges. An enhancement request has
              been entered in Bugzilla (see 
@@ -325,9 +308,9 @@
         </tr>
         -->
         <tr>
-          <td colspan="2">
+          <th colspan="2">
             <h3>Taxonomic Criteria</h3>
-          </td>
+          </th>
         </tr>
         <tr>
           <td>&nbsp;</td>
@@ -412,14 +395,11 @@
           <td>&nbsp;</td>
           <td>&nbsp;</td>
         </tr>
--->
+-->     
         <tr>
-          <td colspan="2"><hr/></td>
-        </tr>
-        <tr>
-          <td colspan="2">
+          <th colspan="2">
             <h3>Search Options</h3>
-          </td>
+          </th>
         </tr>
         <tr>
           <td colspan="2" align="center">
@@ -443,9 +423,6 @@
           <td>&nbsp;</td>
         </tr>
         <tr>
-          <td colspan="2"><hr/></td>
-        </tr>
-        <tr>
           <td colspan="2" align="center">
             <input type="submit" value="Search">&nbsp;&nbsp;
             <!-- <input type="reset" value="Reset"> -->
Index: lib/style/skins/default/include_login.jsp
===================================================================
--- lib/style/skins/default/include_login.jsp	(revision 5600)
+++ lib/style/skins/default/include_login.jsp	(revision 5601)
@@ -38,7 +38,6 @@
 <!-- *********************** START LOGIN TABLE ************************* -->
 <html>
 <head>
-  </title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <link href="<%=STYLE_SKINS_URL%>/default/default.css" rel="stylesheet" type="text/css">
   <script language="javascript" 
@@ -84,21 +83,20 @@
 </head>
 
 <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
-  <table width="750px" align="center" border="0" cellspacing="0" cellpadding="0">
+  <table width="750px" align="center" border="0" cellspacing="0" cellpadding="0" class="group group_border">
     <tr> 
-      <td class="sectionheader">login &amp; registration</td>
+      <th class="sectionheader">login &amp; registration</th>
       </td>
     </tr>
     <tr>
       <td colspan="3">
-        <table width="100%" class="subpanel" border="0" cellpadding="0"
-          cellspacing="0">
+        <table width="100%" class="subpanel" border="0" cellpadding="0" cellspacing="0">
           <tr>
             <td width="10">
               <img src="<%=STYLE_SKINS_URL%>/default/images/transparent1x1.gif" width="10" height="10">
+				<a name="loginanchor"></a>
             </td>
             <td class="text_example">
-              <a name="loginanchor"></a>
                 <p>
                   Logging into your account enables you to search any 
                   additional, non-public data for which you may have access 
@@ -194,11 +192,6 @@
                     <img src="<%=STYLE_SKINS_URL%>/default/images/transparent1x1.gif" width="10">
                   </td>
                 </tr>
-                <tr>
-                  <td colspan="4">
-                    </br>
-                  </td>
-                </tr>
               </table>
               </form>
             </td>
Index: lib/style/skins/default/include_map.jsp
===================================================================
--- lib/style/skins/default/include_map.jsp	(revision 5600)
+++ lib/style/skins/default/include_map.jsp	(revision 5601)
@@ -42,15 +42,14 @@
   </script>
 </head>
 <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
-  <table width="750px" align="center" cellspacing="0" cellpadding="0" >
+  <table width="750px" align="center" cellspacing="0" cellpadding="0" class="group group_border" >
     <tr> 
-      </td>
-      <td class="sectionheader">
+      <th class="sectionheader">
         Data Catalog Map
-      </td>
+      </th>
     </tr>
     <tr>       
-      <td colspan="3">
+      <td>
         <table width="100%" cellspacing="0" cellpadding="0" border="0" class="subpanel">
           <tr><td> 
            <iframe scrolling="no" frameborder="0" width="750" height="520" src="<%=STYLE_COMMON_URL%>/spatial_templates/spatial1/map.html"> You need iframe support </iframe>
Index: lib/style/skins/default/default.css
===================================================================
--- lib/style/skins/default/default.css	(revision 5600)
+++ lib/style/skins/default/default.css	(revision 5601)
@@ -1064,7 +1064,7 @@
 iframe classes
 ****/
 .iframeheaderclass {
-    height:   100px; 
+    height:   80px; 
     width:    100%;
     border:   0px;
     /*margin-bottom:   10px;*/
@@ -1072,7 +1072,7 @@
 }
 
 .iframesearchboxclass {
-    height:   340px; 
+    height:   400px; 
     width:    100%;
     border:   0px;
     margin:   0px;
@@ -1093,7 +1093,7 @@
 }
 
 .iframeloginboxclass {
-    height:   250px; 
+    height:   290px; 
     width:    100%;
     border:   0px;
     margin:   0px;
@@ -1130,7 +1130,7 @@
  *  the iframe within it!
  */  
 .templateheaderrowclass {
-    height:   100px; 
+    height:   80px; 
     /*
       no width allowed - uses same width as table class
     */
Index: lib/style/skins/default/include_searchbox.jsp
===================================================================
--- lib/style/skins/default/include_searchbox.jsp	(revision 5600)
+++ lib/style/skins/default/include_searchbox.jsp	(revision 5601)
@@ -144,17 +144,16 @@
 </head>
 
 <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
-  <table width="750px" align="center" cellspacing="0" cellpadding="0">
+  <table width="750px" align="center" cellspacing="0" cellpadding="0" class="group group_border">
     <tr> 
       </td>
-      <td  class="sectionheader" width="750px" >
+      <th class="sectionheader" width="750px" >
         search for data 
-      </td>
+      </th>
     </tr>
     <tr> 
       <td colspan="3">
-        <table width="100%" border="0" cellpadding="0" cellspacing="0" 
-          class="subpanel">
+        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="subpanel">
           <tr> 
             <td colspan="2"></td>
           </tr>
@@ -216,40 +215,32 @@
             </td>
           </tr>
          <tr valign="baseline" >
-         
              <td colspan="2">
+				<form>
                  <table width="100%" border="0" cellpadding="0" cellspacing="0" >
-                   <from>
 		            <tr>
-		               <td width="105px" >		    
-			            </td>
-			            <td >
-			                 <input name="search" type="radio" checked><span class="text_plain"> Search Title, Abstract, Keywords, Personnel (Quicker)</span></input>
+		               <td width="105px" ></td>
+			           <td >
+			                 <input name="search" type="radio" checked="checked">
+								<span class="text_plain"> Search Title, Abstract, Keywords, Personnel (Quicker)</span>
+							</input>
 		               </td>
 		           </tr>
 		            <tr>
-		                 <td width="105px">		    
-			              </td>
-			              <td >
-			                    <input name="search" type="radio" id="searchAll"><span class="text_plain"> Search all fields (Slower)</span></input>
-		                 </td>
+		                <td width="105px"></td>
+			            <td>
+			            	<input name="search" type="radio" id="searchAll">
+								<span class="text_plain"> Search all fields (Slower)</span>
+							</input>
+		                </td>
 		           </tr>
-		        </form>
-		      </table>
+			      </table>
+				</form>
              </td>
 		  </tr>
-	  
-<%
-/*
-US Geography
-------------
-Northeast, Southeast, South, Midwest, Northwest, Southwest, Pacific Ocean, Atlantic Ocean, 
-Great Lakes, (could also list states here)
-*/
-%>
           <tr> 
-            <td width="375" class="searchcat">Taxonomy</td>
-            <td width="365" class="searchcat">Habitat</td>
+            <th width="375" class="searchcat">Taxonomy</th>
+            <th width="365" class="searchcat">Habitat</th>
           </tr>
           <tr> 
             <td width="375" class="searchsubcat">